Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.om
Class DocumentBuilderFactoryImpl

    java.lang.Object
      |
      +--javax.xml.parsers.DocumentBuilderFactory
            |
            +--com.icl.saxon.om.DocumentBuilderFactoryImpl

public class DocumentBuilderFactoryImpl
extends javax.xml.parsers.DocumentBuilderFactory

Implementation of JAXP 1.1 DocumentBuilderFactory. To build a Document using Saxon, set the system property javax.xml.parsers.DocumentBuilderFactory to "com.icl.saxon.om.DocumentBuilderFactoryImpl" and then call DocumentBuilderFactory.newInstance().newDocumentBuilder().parse(InputSource);

Constructor Summary
`DocumentBuilderFactoryImpl()`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`javax.xml.parsers.DocumentBuilder` | `newDocumentBuilder()`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`

Methods inherited from class javax.xml.parsers.DocumentBuilderFactory
`isCoalescing, isExpandEntityReferences, isIgnoringComments, isIgnoringElementContentWhitespace, isNamespaceAware, isValidating, newInstance, setCoalescing, setExpandEntityReferences, setIgnoringComments, setIgnoringElementContentWhitespace, setNamespaceAware, setValidating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderFactoryImpl

    public DocumentBuilderFactoryImpl()

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Overrides:
    `getAttribute` in class `javax.xml.parsers.DocumentBuilderFactory`

### newDocumentBuilder

    public javax.xml.parsers.DocumentBuilder newDocumentBuilder()
                                                         throws javax.xml.parsers.ParserConfigurationException

  Overrides:
    `newDocumentBuilder` in class `javax.xml.parsers.DocumentBuilderFactory`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Overrides:
    `setAttribute` in class `javax.xml.parsers.DocumentBuilderFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD